Class | OptionParser::NoArgument
In: | optparse.rb
Parent: | self

Switch that takes no arguments.

### Methods

incompatible_argument_styles parse pattern

### Public Class methods

incompatible_argument_styles(*)

[Source]

    # File optparse.rb, line 442
          def self.incompatible_argument_styles(*)
          end

pattern()

[Source]

    # File optparse.rb, line 444
          def self.pattern
            Object
          end

### Public Instance methods

parse(arg, argv) {|NeedlessArgument, arg| ...}

Raises an exception if any arguments given.

[Source]

    # File optparse.rb, line 438
          def parse(arg, argv, &error)
            yield(NeedlessArgument, arg) if arg
            conv_arg(arg)
          end

[Validate]